Bug 1404275 - Perl warnings on html2ps
Summary: Perl warnings on html2ps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: html2ps
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-13 14:12 UTC by todd_lewis
Modified: 2016-12-23 13:50 UTC (History)
1 user (show)

Fixed In Version: html2ps-1.0-0.22.b7.fc26 html2ps-1.0-0.23.b7.fc25 html2ps-1.0-0.22.b7.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-23 12:19:55 UTC
Type: Bug


Attachments (Terms of Use)
patch to fix perl warnings (1.11 KB, patch)
2016-12-13 14:12 UTC, todd_lewis
no flags Details | Diff
updated .spec file to use patch (6.25 KB, text/x-rpm-spec)
2016-12-13 14:14 UTC, todd_lewis
no flags Details

Description todd_lewis 2016-12-13 14:12:59 UTC
Created attachment 1231228 [details]
patch to fix perl warnings

Description of problem: Throws perl warnings about deprecated syntax.


Version-Release number of selected component (if applicable): 1.0-0.21.b7


How reproducible: always


Steps to Reproduce:
1. run html2ps, or
2. run perl -cw /usr/bin/html2ps
3.

Actual results:
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m//DH { <-- HERE / at /usr/bin/html2ps line 3832.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\patterns{ <-- HERE .*/ at /usr/bin/html2ps line 4083.
Calling POSIX::tmpnam() is deprecated at /usr/bin/html2ps line 497.


Expected results:
No warnings.

Additional info:
Attached diff fixes both the regex problems and the deprecated tmpnam() call.
Also attaching updated .spec file.

Comment 1 todd_lewis 2016-12-13 14:14:19 UTC
Created attachment 1231229 [details]
updated .spec file to use patch

Comment 2 Petr Pisar 2016-12-15 12:17:02 UTC
Thank you for the patch. I applied it.

Comment 3 Fedora Update System 2016-12-15 12:17:26 UTC
html2ps-1.0-0.23.b7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c7a7df908

Comment 4 Fedora Update System 2016-12-15 12:17:41 UTC
html2ps-1.0-0.22.b7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9975d205b

Comment 5 Fedora Update System 2016-12-15 12:21:52 UTC
html2ps-1.0-0.21.b7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-70a3ee4a0d

Comment 6 Fedora Update System 2016-12-16 05:26:52 UTC
html2ps-1.0-0.21.b7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-70a3ee4a0d

Comment 7 Fedora Update System 2016-12-16 05:31:16 UTC
html2ps-1.0-0.22.b7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9975d205b

Comment 8 Fedora Update System 2016-12-16 05:32:51 UTC
html2ps-1.0-0.23.b7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9c7a7df908

Comment 9 Fedora Update System 2016-12-23 12:19:55 UTC
html2ps-1.0-0.23.b7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-23 13:50:51 UTC
html2ps-1.0-0.22.b7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.